## IAnjutaEditorComment

IAnjutaEditorComment — Text editor comment interface

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_editor_comment_error_quark ()
void | ianjuta_editor_comment_block ()
void | ianjuta_editor_comment_box ()
void | ianjuta_editor_comment_stream ()

## Types and Values

#define | IANJUTA_EDITOR_COMMENT_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaEditorComment

## Includes

    #include <libanjuta/interfaces/ianjuta-editor-comment.h>

## Description

## Functions

### ianjuta_editor_comment_error_quark ()

    GQuark
    ianjuta_editor_comment_error_quark (void);

### ianjuta_editor_comment_block ()

    void
    ianjuta_editor_comment_block (IAnjutaEditorComment *obj,
                                  GError **err);

Comment/Uncomment out selected block

#### Parameters

obj | Self |
err | Error propagation and reporting |

### ianjuta_editor_comment_box ()

    void
    ianjuta_editor_comment_box (IAnjutaEditorComment *obj,
                                GError **err);

Comment/Uncomment out selected block

#### Parameters

obj | Self |
err | Error propagation and reporting |

### ianjuta_editor_comment_stream ()

    void
    ianjuta_editor_comment_stream (IAnjutaEditorComment *obj,
                                   GError **err);

Comment/Uncomment out selected block

#### Parameters

obj | Self |
err | Error propagation and reporting |

## Types and Values

### IANJUTA_EDITOR_COMMENT_ERROR

    #define IANJUTA_EDITOR_COMMENT_ERROR ianjuta_editor_comment_error_quark()